Debian Bug report logs - #501152
binary firmware in drivers/net/starfire_firmware.h

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Sat, 4 Oct 2008 21:03:01 UTC

Severity: serious

Tags: lenny-ignore, patch

Found in version 2.6.26-5

Fixed in version linux-2.6/2.6.29-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#501152; Package linux-2.6. (Sat, 04 Oct 2008 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Oct 2008 21:03:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binary firmware in drivers/net/starfire_firmware.h
Date: Sat, 04 Oct 2008 22:56:42 +0200
Package: linux-2.6
Version: 2.6.26-5
Severity: serious

Hi,

drivers/net/starfire_firmware.h (licensed under GPLv2) is entirely composed
of binary firmware, such as:

static const u32 firmware_rx[] = {
  0x010003dc, 0x00000000,
  0x04000421, 0x00000086,
  [...]

It's worth noting that the last chunk is #ifdef'ed out and not actually
used for anything.

Since this file is licensed under GPL, this could make it illegal to
redistribute it.

In either case, the presence of source-less binary code is a violation
of DFSG #2 requirement for source code availability.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#501152; Package linux-2.6. (Sun, 12 Oct 2008 20:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Oct 2008 20:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 501152@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 501152@bugs.debian.org
Subject: Re: binary firmware in drivers/net/starfire_firmware.h
Date: Sun, 12 Oct 2008 21:27:23 +0100
[Message part 1 (text/plain, inline)]
Here's a patch for starfire to make it use request_firmware.  This is
compile-tested only.  The firmware files can be produced by writing out
the firmware_rx and firmware_tx arrays as 32-bit little-endian values.
However, the licence remains a problem.

Ben.

diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index 4a12477..3e433cb 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -1306,6 +1306,7 @@ config ADAPTEC_STARFIRE
 	depends on NET_PCI && PCI
 	select CRC32
 	select MII
+	select FW_LOADER
 	help
 	  Say Y here if you have an Adaptec Starfire (or DuraLAN) PCI network
 	  adapter. The DuraLAN chip is used on the 64 bit PCI boards from
diff --git a/drivers/net/starfire.c b/drivers/net/starfire.c
index 7b7b171..73394d9 100644
--- a/drivers/net/starfire.c
+++ b/drivers/net/starfire.c
@@ -42,11 +42,11 @@
 #include <linux/mii.h>
 #include <linux/if_vlan.h>
 #include <linux/mm.h>
+#include <linux/firmware.h>
 #include <asm/processor.h>		/* Processor type for cache alignment. */
 #include <asm/uaccess.h>
 #include <asm/io.h>
 
-#include "starfire_firmware.h"
 /*
  * The current frame processor firmware fails to checksum a fragment
  * of length 1. If and when this is fixed, the #define below can be removed.
@@ -224,6 +224,8 @@ MODULE_AUTHOR("Donald Becker <becker@scyld.com>");
 MODULE_DESCRIPTION("Adaptec Starfire Ethernet driver");
 MODULE_LICENSE("GPL");
 MODULE_VERSION(DRV_VERSION);
+MODULE_FIRMWARE("starfire/gfp_rx.bin");
+MODULE_FIRMWARE("starfire/gfp_tx.bin");
 
 module_param(max_interrupt_work, int, 0);
 module_param(mtu, int, 0);
@@ -948,12 +950,21 @@ static int netdev_open(struct net_device *dev)
 	void __iomem *ioaddr = np->base;
 	int i, retval;
 	size_t tx_done_q_size, rx_done_q_size, tx_ring_size, rx_ring_size;
+	const struct firmware *fw_rx, *fw_tx;
+	const __le32 *fw_data;
 
 	/* Do we ever need to reset the chip??? */
 
-	retval = request_irq(dev->irq, &intr_handler, IRQF_SHARED, dev->name, dev);
+	retval = request_firmware(&fw_rx, "starfire/gfp_rx.bin", &np->pci_dev->dev);
 	if (retval)
 		return retval;
+	retval = request_firmware(&fw_tx, "starfire/gfp_tx.bin", &np->pci_dev->dev);
+	if (retval)
+		goto out_release_fw_rx;
+	
+	retval = request_irq(dev->irq, &intr_handler, IRQF_SHARED, dev->name, dev);
+	if (retval)
+		goto out_release_fw_tx;
 
 	/* Disable the Rx and Tx, and reset the chip. */
 	writel(0, ioaddr + GenCtrl);
@@ -1084,10 +1095,12 @@ static int netdev_open(struct net_device *dev)
 #endif /* VLAN_SUPPORT */
 
 	/* Load Rx/Tx firmware into the frame processors */
-	for (i = 0; i < FIRMWARE_RX_SIZE * 2; i++)
-		writel(firmware_rx[i], ioaddr + RxGfpMem + i * 4);
-	for (i = 0; i < FIRMWARE_TX_SIZE * 2; i++)
-		writel(firmware_tx[i], ioaddr + TxGfpMem + i * 4);
+	fw_data = (const __le32 *)fw_rx->data;
+	for (i = 0; i < fw_rx->size / 4; i++)
+		writel(le32_to_cpu(fw_data[i]), ioaddr + RxGfpMem + i * 4);
+	fw_data = (const __le32 *)fw_tx->data;
+	for (i = 0; i < fw_tx->size / 4; i++)
+		writel(le32_to_cpu(fw_data[i]), ioaddr + TxGfpMem + i * 4);
 	if (enable_hw_cksum)
 		/* Enable the Rx and Tx units, and the Rx/Tx frame processors. */
 		writel(TxEnable|TxGFPEnable|RxEnable|RxGFPEnable, ioaddr + GenCtrl);
@@ -1099,7 +1112,11 @@ static int netdev_open(struct net_device *dev)
 		printk(KERN_DEBUG "%s: Done netdev_open().\n",
 		       dev->name);
 
-	return 0;
+out_release_fw_tx:
+	release_firmware(fw_tx);
+out_release_fw_rx:
+	release_firmware(fw_rx);
+	return retval;
 }
 
 
--- END ---

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#501152; Package linux-2.6. (Sun, 12 Oct 2008 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Oct 2008 20:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 501152@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 501152@bugs.debian.org
Subject: Re: binary firmware in drivers/net/starfire_firmware.h
Date: Sun, 12 Oct 2008 21:39:03 +0100
[Message part 1 (text/plain, inline)]
You could use this patch and firmware format instead:
http://git.infradead.org/users/jaswinder/firm-jsr-2.6.git?a=commitdiff;h=6963b36bfb1f171ae8ea4884e239bdccc5f47266

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#501152; Package linux-2.6. (Sun, 12 Oct 2008 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Oct 2008 23:21:04 GMT) Full text and rfc822 format available.

Message #20 received at 501152@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 501152@bugs.debian.org
Subject: Re: binary firmware in drivers/net/starfire_firmware.h
Date: Mon, 13 Oct 2008 00:21:23 +0100
[Message part 1 (text/plain, inline)]
FreeBSD appears to have copied the proper copyright notices into their
versions of the firmware:
http://fxr.watson.org/fxr/source/dev/sf/starfire_rx.h
http://fxr.watson.org/fxr/source/dev/sf/starfire_tx.h

"(c)2001 Adaptec, Inc. By using this software you agree that it is
licensed to you "AS IS" and that Adaptec makes no warranties,
express or implied, regarding the Software.
Any redistribution of this Software must include this disclaimer and
copyright notice."

So this ought to be OK for firmware-nonfree.

Ben.

[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 12 Oct 2008 23:21:06 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sun, 19 Oct 2008 13:48:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Thu, 19 Feb 2009 13:57:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Mon, 09 Mar 2009 13:57:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Tue, 24 Mar 2009 21:12:12 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Tue, 24 Mar 2009 21:12:12 GMT) Full text and rfc822 format available.

Message #33 received at 501152-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 501152-close@bugs.debian.org
Subject: Bug#501152: fixed in linux-2.6 2.6.29-1
Date: Tue, 24 Mar 2009 21:06:38 +0000
Source: linux-2.6
Source-Version: 2.6.29-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.29-1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.29-1.diff.gz
linux-2.6_2.6.29-1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.29-1.dsc
linux-2.6_2.6.29.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.29.orig.tar.gz
linux-doc-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.29_2.6.29-1_all.deb
linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
linux-libc-dev_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.29-1_powerpc.deb
linux-manual-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.29_2.6.29-1_all.deb
linux-patch-debian-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.29_2.6.29-1_all.deb
linux-source-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.29_2.6.29-1_all.deb
linux-support-2.6.29-1_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.29-1_2.6.29-1_all.deb
linux-tree-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.29_2.6.29-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501152@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Mar 2009 14:32:11 +0100
Source: linux-2.6
Binary: linux-source-2.6.29 linux-doc-2.6.29 linux-manual-2.6.29 linux-patch-debian-2.6.29 linux-tree-2.6.29 linux-support-2.6.29-1 linux-libc-dev linux-headers-2.6.29-1-all linux-headers-2.6.29-1-all-alpha linux-headers-2.6.29-1-common linux-image-2.6.29-1-alpha-generic linux-headers-2.6.29-1-alpha-generic linux-image-2.6.29-1-alpha-smp linux-headers-2.6.29-1-alpha-smp linux-image-2.6.29-1-alpha-legacy linux-headers-2.6.29-1-alpha-legacy linux-headers-2.6.29-1-all-amd64 linux-image-2.6.29-1-amd64 linux-headers-2.6.29-1-amd64 linux-headers-2.6.29-1-all-arm linux-image-2.6.29-1-footbridge linux-headers-2.6.29-1-footbridge linux-image-2.6.29-1-iop32x linux-headers-2.6.29-1-iop32x linux-image-2.6.29-1-ixp4xx linux-headers-2.6.29-1-ixp4xx linux-image-2.6.29-1-orion5x linux-headers-2.6.29-1-orion5x linux-headers-2.6.29-1-all-armel linux-image-2.6.29-1-kirkwood linux-headers-2.6.29-1-kirkwood linux-image-2.6.29-1-versatile linux-headers-2.6.29-1-versatile linux-headers-2.6.29-1-all-hppa linux-image-2.6.29-1-parisc linux-headers-2.6.29-1-parisc linux-image-2.6.29-1-parisc-smp linux-headers-2.6.29-1-parisc-smp linux-image-2.6.29-1-parisc64 linux-headers-2.6.29-1-parisc64 linux-image-2.6.29-1-parisc64-smp linux-headers-2.6.29-1-parisc64-smp linux-headers-2.6.29-1-all-i386 linux-image-2.6.29-1-486 linux-headers-2.6.29-1-486 linux-image-2.6.29-1-686 linux-headers-2.6.29-1-686 linux-image-2.6.29-1-686-bigmem linux-headers-2.6.29-1-686-bigmem linux-headers-2.6.29-1-all-ia64 linux-image-2.6.29-1-itanium linux-headers-2.6.29-1-itanium linux-image-2.6.29-1-mckinley linux-headers-2.6.29-1-mckinley linux-headers-2.6.29-1-all-m68k linux-image-2.6.29-1-amiga linux-headers-2.6.29-1-amiga linux-image-2.6.29-1-atari linux-headers-2.6.29-1-atari linux-image-2.6.29-1-bvme6000 linux-headers-2.6.29-1-bvme6000 linux-image-2.6.29-1-mac linux-headers-2.6.29-1-mac linux-image-2.6.29-1-mvme147 linux-headers-2.6.29-1-mvme147 linux-image-2.6.29-1-mvme16x linux-headers-2.6.29-1-mvme16x linux-headers-2.6.29-1-all-mips linux-image-2.6.29-1-r4k-ip22 linux-headers-2.6.29-1-r4k-ip22 linux-image-2.6.29-1-r5k-ip32 linux-headers-2.6.29-1-r5k-ip32 linux-image-2.6.29-1-sb1-bcm91250a linux-headers-2.6.29-1-sb1-bcm91250a linux-image-2.6.29-1-sb1a-bcm91480b linux-headers-2.6.29-1-sb1a-bcm91480b linux-image-2.6.29-1-4kc-malta linux-headers-2.6.29-1-4kc-malta linux-image-2.6.29-1-5kc-malta linux-headers-2.6.29-1-5kc-malta linux-headers-2.6.29-1-all-mipsel linux-image-2.6.29-1-r5k-cobalt linux-headers-2.6.29-1-r5k-cobalt linux-headers-2.6.29-1-all-powerpc linux-image-2.6.29-1-powerpc linux-headers-2.6.29-1-powerpc linux-image-2.6.29-1-powerpc-smp linux-headers-2.6.29-1-powerpc-smp linux-image-2.6.29-1-powerpc64 linux-headers-2.6.29-1-powerpc64 linux-headers-2.6.29-1-all-s390 linux-image-2.6.29-1-s390 linux-headers-2.6.29-1-s390 linux-image-2.6.29-1-s390-tape linux-image-2.6.29-1-s390x linux-headers-2.6.29-1-s390x linux-headers-2.6.29-1-all-sparc linux-image-2.6.29-1-sparc64 linux-headers-2.6.29-1-sparc64 linux-image-2.6.29-1-sparc64-smp linux-headers-2.6.29-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.29-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.29 - Linux kernel specific documentation for version 2.6.29
 linux-headers-2.6.29-1-486 - Header files for Linux 2.6.29-1-486
 linux-headers-2.6.29-1-4kc-malta - Header files for Linux 2.6.29-1-4kc-malta
 linux-headers-2.6.29-1-5kc-malta - Header files for Linux 2.6.29-1-5kc-malta
 linux-headers-2.6.29-1-686 - Header files for Linux 2.6.29-1-686
 linux-headers-2.6.29-1-686-bigmem - Header files for Linux 2.6.29-1-686-bigmem
 linux-headers-2.6.29-1-all - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-alpha - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-amd64 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-arm - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-armel - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-hppa - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-i386 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-ia64 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-m68k - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-mips - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-mipsel - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-powerpc - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-s390 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-sparc - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-alpha-generic - Header files for Linux 2.6.29-1-alpha-generic
 linux-headers-2.6.29-1-alpha-legacy - Header files for Linux 2.6.29-1-alpha-legacy
 linux-headers-2.6.29-1-alpha-smp - Header files for Linux 2.6.29-1-alpha-smp
 linux-headers-2.6.29-1-amd64 - Header files for Linux 2.6.29-1-amd64
 linux-headers-2.6.29-1-amiga - Header files for Linux 2.6.29-1-amiga
 linux-headers-2.6.29-1-atari - Header files for Linux 2.6.29-1-atari
 linux-headers-2.6.29-1-bvme6000 - Header files for Linux 2.6.29-1-bvme6000
 linux-headers-2.6.29-1-common - Common header files for Linux 2.6.29-1
 linux-headers-2.6.29-1-footbridge - Header files for Linux 2.6.29-1-footbridge
 linux-headers-2.6.29-1-iop32x - Header files for Linux 2.6.29-1-iop32x
 linux-headers-2.6.29-1-itanium - Header files for Linux 2.6.29-1-itanium
 linux-headers-2.6.29-1-ixp4xx - Header files for Linux 2.6.29-1-ixp4xx
 linux-headers-2.6.29-1-kirkwood - Header files for Linux 2.6.29-1-kirkwood
 linux-headers-2.6.29-1-mac - Header files for Linux 2.6.29-1-mac
 linux-headers-2.6.29-1-mckinley - Header files for Linux 2.6.29-1-mckinley
 linux-headers-2.6.29-1-mvme147 - Header files for Linux 2.6.29-1-mvme147
 linux-headers-2.6.29-1-mvme16x - Header files for Linux 2.6.29-1-mvme16x
 linux-headers-2.6.29-1-orion5x - Header files for Linux 2.6.29-1-orion5x
 linux-headers-2.6.29-1-parisc - Header files for Linux 2.6.29-1-parisc
 linux-headers-2.6.29-1-parisc-smp - Header files for Linux 2.6.29-1-parisc-smp
 linux-headers-2.6.29-1-parisc64 - Header files for Linux 2.6.29-1-parisc64
 linux-headers-2.6.29-1-parisc64-smp - Header files for Linux 2.6.29-1-parisc64-smp
 linux-headers-2.6.29-1-powerpc - Header files for Linux 2.6.29-1-powerpc
 linux-headers-2.6.29-1-powerpc-smp - Header files for Linux 2.6.29-1-powerpc-smp
 linux-headers-2.6.29-1-powerpc64 - Header files for Linux 2.6.29-1-powerpc64
 linux-headers-2.6.29-1-r4k-ip22 - Header files for Linux 2.6.29-1-r4k-ip22
 linux-headers-2.6.29-1-r5k-cobalt - Header files for Linux 2.6.29-1-r5k-cobalt
 linux-headers-2.6.29-1-r5k-ip32 - Header files for Linux 2.6.29-1-r5k-ip32
 linux-headers-2.6.29-1-s390 - Header files for Linux 2.6.29-1-s390
 linux-headers-2.6.29-1-s390x - Header files for Linux 2.6.29-1-s390x
 linux-headers-2.6.29-1-sb1-bcm91250a - Header files for Linux 2.6.29-1-sb1-bcm91250a
 linux-headers-2.6.29-1-sb1a-bcm91480b - Header files for Linux 2.6.29-1-sb1a-bcm91480b
 linux-headers-2.6.29-1-sparc64 - Header files for Linux 2.6.29-1-sparc64
 linux-headers-2.6.29-1-sparc64-smp - Header files for Linux 2.6.29-1-sparc64-smp
 linux-headers-2.6.29-1-versatile - Header files for Linux 2.6.29-1-versatile
 linux-image-2.6.29-1-486 - Linux 2.6.29 image on x86
 linux-image-2.6.29-1-4kc-malta - Linux 2.6.29 image on MIPS Malta
 linux-image-2.6.29-1-5kc-malta - Linux 2.6.29 image on MIPS Malta (64-bit)
 linux-image-2.6.29-1-686 - Linux 2.6.29 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.29-1-686-bigmem - Linux 2.6.29 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.29-1-alpha-generic - Linux 2.6.29 image on Alpha
 linux-image-2.6.29-1-alpha-legacy - Linux 2.6.29 image on Alpha Legacy
 linux-image-2.6.29-1-alpha-smp - Linux 2.6.29 image on Alpha SMP
 linux-image-2.6.29-1-amd64 - Linux 2.6.29 image on AMD64
 linux-image-2.6.29-1-amiga - Linux 2.6.29 image on Amiga
 linux-image-2.6.29-1-atari - Linux 2.6.29 image on Atari
 linux-image-2.6.29-1-bvme6000 - Linux 2.6.29 image on BVM BVME4000 and BVME6000
 linux-image-2.6.29-1-footbridge - Linux 2.6.29 image on Footbridge
 linux-image-2.6.29-1-iop32x - Linux 2.6.29 image on IOP32x
 linux-image-2.6.29-1-itanium - Linux 2.6.29 image on Itanium
 linux-image-2.6.29-1-ixp4xx - Linux 2.6.29 image on IXP4xx
 linux-image-2.6.29-1-kirkwood - Linux 2.6.29 image on Marvell Kirkwood
 linux-image-2.6.29-1-mac - Linux 2.6.29 image on Macintosh
 linux-image-2.6.29-1-mckinley - Linux 2.6.29 image on Itanium II
 linux-image-2.6.29-1-mvme147 - Linux 2.6.29 image on Motorola MVME147
 linux-image-2.6.29-1-mvme16x - Linux 2.6.29 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.29-1-orion5x - Linux 2.6.29 image on Orion
 linux-image-2.6.29-1-parisc - Linux 2.6.29 image on 32-bit PA-RISC
 linux-image-2.6.29-1-parisc-smp - Linux 2.6.29 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.29-1-parisc64 - Linux 2.6.29 image on 64-bit PA-RISC
 linux-image-2.6.29-1-parisc64-smp - Linux 2.6.29 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.29-1-powerpc - Linux 2.6.29 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.29-1-powerpc-smp - Linux 2.6.29 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.29-1-powerpc64 - Linux 2.6.29 image on 64-bit PowerPC
 linux-image-2.6.29-1-r4k-ip22 - Linux 2.6.29 image on SGI IP22
 linux-image-2.6.29-1-r5k-cobalt - Linux 2.6.29 image on Cobalt
 linux-image-2.6.29-1-r5k-ip32 - Linux 2.6.29 image on SGI IP32
 linux-image-2.6.29-1-s390 - Linux 2.6.29 image on IBM S/390
 linux-image-2.6.29-1-s390-tape - Linux 2.6.29 image on IBM S/390, IPL from tape
 linux-image-2.6.29-1-s390x - Linux 2.6.29 image on IBM zSeries
 linux-image-2.6.29-1-sb1-bcm91250a - Linux 2.6.29 image on BCM91250A
 linux-image-2.6.29-1-sb1a-bcm91480b - Linux 2.6.29 image on BCM91480B
 linux-image-2.6.29-1-sparc64 - Linux 2.6.29 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.29-1-sparc64-smp - Linux 2.6.29 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.29-1-versatile - Linux 2.6.29 image on Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.29 - Linux kernel API manual pages for version 2.6.29
 linux-patch-debian-2.6.29 - Debian patches to version 2.6.29 of the Linux kernel
 linux-source-2.6.29 - Linux kernel source for version 2.6.29 with Debian patches
 linux-support-2.6.29-1 - Support files for Linux 2.6.29
 linux-tree-2.6.29 - Linux kernel source tree for building Debian kernel images
Closes: 447549 463402 494007 494009 494308 501152 501153 502666 502667 502669 516709 516775 517771 518582 519761 520433
Changes: 
 linux-2.6 (2.6.29-1) unstable; urgency=low
 .
   * New upstream release
     - tg3 use request_firmware and firmware nuked.
     - acenic use request_firmware and firmware nuked.
     - e100 use request_firmware and firmware nuked. (closes: #494308)
     - cassini use request_firmware and firmware nuked.
     - starfire use request_firmware and firmware nuked. (closes: #501152)
     - cxgb3 use request_firmware and firmware nuked.
     - NR_CPUS setting no longer affects size of modules. (closes: #516709)
     - orinoco: use KERN_DEBUG for link status messages. (closes: #447549)
     - [CIFS] Fix oops in cifs_strfromUCS_le mounting to servers which do
       not specify their OS. (closes: #463402)
     - fixes conflict between <asm/byteorder.h> and <endian.h> on mips
       (closes: #519761)
 .
   [ maximilian attems ]
   * topconfig set new NET_NS, NET_SCH_DRR, NET_CLS_CGROUP, LIB80211,
     SCSI_CXGB3_ISCSI, NATIONAL_PHY, STE10XP, LSI_ET1011C_PHY, BTRFS_FS,
     SQUASHFS, PCI_STUB, WIMAX, MTD_LPDDR, EEPROM_AT24, EEPROM_AT25,
     EEPROM_LEGACY, BLK_DEV_IT8172, SMSC9420, WIMAX_I2400M_USB,
     WIMAX_I2400M_SDIO, MISDN_HFCUSB, SENSORS_ADT7475, SENSORS_LTC4245,
     RADIO_TEA5764, SND_HDA_CODEC_INTELHDMI, RT2860, RT2870, RTL8187SE,
     LIBFC, FCOE, ATL1C, JOYSTICK_WALKERA0701, TOUCHSCREEN_WACOM_W8001,
     TOUCHSCREEN_TSC2007, W1_SLAVE_DS2431, WM8350_POWER, SOC_CAMERA_MT9T031,
     SOC_CAMERA_TW9910, SOC_CAMERA_OV772X, USB_STV06XX, USB_GSPCA_OV534,
     DVB_LGDT3304, WM8350_WATCHDOG, SMSC_SCH311X_WDT, SND_HRTIMER,
     SND_HDA_RECONFIG, GREENASIA_FF, USB_SERIAL_SIEMENS_MPI,
     USB_SERIAL_OPTICON, LEDS_ALIX2, LEDS_WM8350, OCFS2_FS_POSIX_ACL,
     BTRFS_FS_POSIX_ACL, ATM_SOLOS, MFD_PCF50633, PCF50633_ADC, PCF50633_GPIO,
     REGULATOR_PCF50633, DVB_S921, EDAC_I5400, RTC_DRV_PCF50633,
     INPUT_PCF50633_PMU, CHARGER_PCF50633, DEVPTS_MULTIPLE_INSTANCES,
     SCHED_OMIT_FRAME_POINTER, DCB, IXGBE_DCB, SFC_MTD, BE2NET, DNET.
   * topconfig enable SND_HDA_HWDEP for sound debugging purpose.
   * topconfig enable USB_HIDDEV (closes: #517771)
   * [x86] set DELL_LAPTOP, COMEDI, X86_PTRACE_BTS, XENFS, XEN_COMPAT_XENFS,
     X86_REROUTE_FOR_BROKEN_BOOT_IRQS, OPTIMIZE_INLINING.
   * [x86] unset DRM_I915_KMS due to upgrade path from Lenny override with
     modeset module param.
   * temp.image.plain/preinst: Consistent output.
   * [x86_64] set SPARSE_IRQ, NUMA_MIGRATE_IRQ_DESC, TREE_RCU.
   * [x86_32] set BLK_DEV_CS5536.
   * [powerpc] set PHANTOM, HP_ILO, MV643XX_ETH, MOUSE_BCM5974, VIRTUALIZATION.
   * topconfig unset legacy SCSI_PROC_FS, PCMCIA_IOCTL, ACPI_PROCFS_POWER,
     ACPI_PROC_EVENT.
 .
   [ Bastian Blank ]
   * Use external source directory for all builds.
   * Use external source directory for all header packages.
   * Use dh_prep.
   * Update copyright file.
   * [s390/s390] Disable BTRFS.
   * [sparc] Use sparc as kernel architecture.
   * Update kconfig report changes patch.
   * [s390] Enable KVM.
   * Use debhelper compat level 7.
 .
   [ Martin Michlmayr ]
   * [mips/r4k-ip22] Build in RTC_DRV_DS1286.
   * [mips/r5k-ip32] Build in RTC_DRV_CMOS (Closes: #516775).
   * [arm/versatile, arm/iop32x, arm/ixp4xx] Make LLC2 modular.
   * [arm, mips, mipsel] Make MII modular.
   * [arm/ixp4xx] Make IXP4XX_WATCHDOG modular.
   * topconfig: Disable NET_DSA since this hardware is special purpose and
     the option cannot be made modular at the moment and bloats the kernel
     image too much.
   * [arm, armel] Enable various V4L USB devices. (Closes: #518582)
   * [arm/orion5x] Build the SENSORS_LM75 module since it's needed on the
     D-Link DNS-323.
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Enable INPUT_TOUCHSCREEN.
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Enable INPUT_JOYDEV, GAMEPORT
     and INPUT_JOYSTICK (Closes: #520433).
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Add a size check to ensure that
     the kernel will fit in flash.
   * Add patches from git.marvell.com to improve Kirkwood support:
     - make gpio /input/output validation separate
     - MPP initialization code
     - SDIO driver for Marvell SoCs
     - SDIO driver registration for DB6281 and RD6281
     - register internal devices in a common place
     - Marvell SheevaPlug support
     - SheevaPlug USB Power Enable setup
     - SheevaPlug LED support
     - Hook up I2C on Kirkwood
     - Add support for QNAP TS-119/TS-219 Turbo NAS
   * [armel/kirkwood] Add an image for Marvell's Kirkwood platform.
 .
   [ Ben Hutchings ]
   * Remove firmware from drivers and make them use request_firmware():
     - mga (closes: #502666)
     - qla1280 (closes: #502667)
     - r128 (closes: #494007)
     - radeon (closes: #494009)
     - tehuti (closes: #501153)
     - typhoon (closes: #502669)
Checksums-Sha1: 
 db6cda9b1e1f995804ad841a97ffdd6d1bd60dde 4542 linux-2.6_2.6.29-1.dsc
 eb117789176be64e3a83010f9f8462f9974e6e54 71089102 linux-2.6_2.6.29.orig.tar.gz
 ad402162ba8f36080ea90bf634b00282ea663739 543011 linux-2.6_2.6.29-1.diff.gz
 33cee79967bd89155063f0afe97962ca126ffd2a 103464 linux-tree-2.6.29_2.6.29-1_all.deb
 70a2658aace6794df61c70229dbedbb6536872ce 119056 linux-support-2.6.29-1_2.6.29-1_all.deb
 4a52a2ef13d8f06eb5528a181857a525e43cb75d 336052 linux-patch-debian-2.6.29_2.6.29-1_all.deb
 a5a1b0e24ee7aeb532f46b87b8f6f9f554ecf659 376528 linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 ddbd38ffccc74a9af60e182709ca0ed66f880a44 25811224 linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 6a6e5bb2f8b8225cf6203010b4502cfcd49e5d17 55140764 linux-source-2.6.29_2.6.29-1_all.deb
 1c1043f19086ad84091b2d3ecb87d86f2445139e 377038 linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 c5a423966b425c83d0c7cd42aa768a2fa7c760be 26221960 linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 edeab9561596e91fab5c8dc0613880d209878dcf 382068 linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 311dbe51f416990cde778d3d53bf1495aa87d051 25465168 linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 e2bbcfd6db25e341bf1c548affb1a635576d3573 3461706 linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 d0c7f7024b1a8005da61b14f2fac7db0b5420647 103114 linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 1a187c122145899fdce255e92948b5a6159921b3 103142 linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 06bb0a8b56b2209289bce15d0533075f0551cd5c 799758 linux-libc-dev_2.6.29-1_powerpc.deb
 61964b03660229a73a41acff32b611a4f9d25160 5060978 linux-doc-2.6.29_2.6.29-1_all.deb
 ace364a83056650b20bad11d5b4a6d69d8dd20de 1916176 linux-manual-2.6.29_2.6.29-1_all.deb
Checksums-Sha256: 
 a11a59a103b65bb35e152a31d444428cc35433ed75bc0ba9ac7618a5096570bc 4542 linux-2.6_2.6.29-1.dsc
 e1f5d63a0892422ea48b3e2f93449748bf0e5d0fab4ccf4271d953b33e7d42fb 71089102 linux-2.6_2.6.29.orig.tar.gz
 c192f9204544698d2928556ea64fd47a4cbb9c8056248bd8f7f54a123d537bd9 543011 linux-2.6_2.6.29-1.diff.gz
 0ef624414ecbfd7eb135288ceb765cc138f757d9e3fc7d7fbdb02dd500841583 103464 linux-tree-2.6.29_2.6.29-1_all.deb
 15d7cbb59333970f8b43a442c0b739fc7be7c431e02437be9f9b4e5d51fa2b23 119056 linux-support-2.6.29-1_2.6.29-1_all.deb
 1bb20a90ced7a5ea1b3407fd01aca8fd3329d8840b82f9ef470ebc253d9b685a 336052 linux-patch-debian-2.6.29_2.6.29-1_all.deb
 5f238a9d9b571208ce0ccb2af6ae13ed34bb21950f90bcaa8add2e601a0cf83f 376528 linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 a2328272df56016cbc6871afc6836a84b7bfcc2dc49f2ff225b6ead573f960eb 25811224 linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 3756a9a448c12a7e934e99b35dea7f5f03e122dd8cce6b9df7667fb4a85f0556 55140764 linux-source-2.6.29_2.6.29-1_all.deb
 85de2311ddef239c01b8a47d82ff96c6f9ab2f2f34770dfda35992e0c15fae79 377038 linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 0190edeba2c77a74ad1aa3e25b525b42977c2fdb8ce9bf3067b772373e972ef6 26221960 linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 1adce851889081142a41929744c449009fff8099b1d0d9d1402d232be839a65d 382068 linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 900a7862fdbdabb88d79f56a0755f07854da8f7dca868cbb5fd9a8b5ddd3b88c 25465168 linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 f94ed55b1e87c8ff1778963265a4011445abf66eae12aa0e371338360061dcb7 3461706 linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 ab11fbc7cd4803a02f69eb05a121ecb982cb9bbefaf1b2f5a499f678b2adff29 103114 linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 97839c739dfca4e71c0193e89b9af8d15e60a9d0568148c634e5da50a142896c 103142 linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 effec91b95a635abce66b72e9e5b561e57cb72ec0404e7c7a3d850ab7648db1d 799758 linux-libc-dev_2.6.29-1_powerpc.deb
 9eda1c1c485c04e0e8cb29ed503afa31ca7070f673b35ef0029168f12201d602 5060978 linux-doc-2.6.29_2.6.29-1_all.deb
 bb4ed930c7af81501b5de8f02ef25512690f5ffb5b24599152964a51882f5882 1916176 linux-manual-2.6.29_2.6.29-1_all.deb
Files: 
 f688be209b7fb361c55811972e67848f 4542 devel optional linux-2.6_2.6.29-1.dsc
 f3e9555a00f1304baf7206d918e586bc 71089102 devel optional linux-2.6_2.6.29.orig.tar.gz
 918a269598093be21ff2e0f290a29666 543011 devel optional linux-2.6_2.6.29-1.diff.gz
 24ebc58bd700542f38965edff7227eb3 103464 devel optional linux-tree-2.6.29_2.6.29-1_all.deb
 461d8b0f6bc900f110bda812831e4818 119056 devel optional linux-support-2.6.29-1_2.6.29-1_all.deb
 a0fffe19be9e11b72d61a84f844b305e 336052 devel optional linux-patch-debian-2.6.29_2.6.29-1_all.deb
 d162ca6cbba2029f8f9527b6c88754a1 376528 devel optional linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 1121548bd0cf641a44ca1d2ba38d0925 25811224 admin optional linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 17a5ad23b711bea056e6fc38c3153589 55140764 devel optional linux-source-2.6.29_2.6.29-1_all.deb
 bb6a123784c196fdaef0f31a3f7f0762 377038 devel optional linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 edaef000952d4dd83f1381065639a9fb 26221960 admin optional linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 c46060d00bcdcc35fe36d49023211be7 382068 devel optional linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 a32332a048914c64170f0161472a9363 25465168 admin optional linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 1cad3ab7aaa23f0bb793f50c8a3e189c 3461706 devel optional linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 389d1aa9c36027975ad34233fb4653ce 103114 devel optional linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 2e2e39ff664871872376d54a5fa80e29 103142 devel optional linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 e2b60a1f701e89427bf0407cc0888476 799758 devel optional linux-libc-dev_2.6.29-1_powerpc.deb
 aa17666303fbb8f149c117e8f78b674f 5060978 doc optional linux-doc-2.6.29_2.6.29-1_all.deb
 51308322ac355b51a9cd76962fbe71d1 1916176 doc optional linux-manual-2.6.29_2.6.29-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknJCOoACgkQLkAIIn9ODhE8jwCfbO/R08TVMVu9gUofUAqP8PBL
H2QAoLHTvWSSS2EOhEPrRiId/usjVlSm
=qW3D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:10:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 09:05:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.